Bug 1477333 - F26 cloud image fails to provision on Azure
F26 cloud image fails to provision on Azure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1489166
  Show dependency treegraph
 
Reported: 2017-08-01 16:03 EDT by Brent Baude
Modified: 2017-09-25 14:05 EDT (History)
8 users (show)

See Also:
Fixed In Version: cloud-init-0.7.9-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-25 14:05:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Baude 2017-08-01 16:03:21 EDT
The F26 cloud image fails to provision on Azure due to the absence of the hook-dhclient script.  Unfortunately, the cloud image does not use NetworkManager but uses the basic network stack.  We need the tools/hook-dhclient [1] file to be included in the cloud-init package which will allow proper provisioning.


[1] https://git.launchpad.net/cloud-init/tree/tools/hook-dhclient
Comment 1 Brent Baude 2017-09-15 16:44:18 EDT
the te file:

[bbaude@baude-atomic-2 ~]$ cat fixdhclient.te 

module fixdhclient 1.0;

require {
	type init_var_run_t;
	type dhcpc_t;
	class file getattr;
}

#============= dhcpc_t ==============
allow dhcpc_t init_var_run_t:file getattr;
Comment 2 Brent Baude 2017-09-15 16:44:59 EDT
disregard previous commment
Comment 3 Fedora Update System 2017-09-18 18:37:44 EDT
cloud-init-0.7.9-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-62a8a2b453
Comment 4 Fedora Update System 2017-09-18 18:37:58 EDT
cloud-init-0.7.9-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5507234819
Comment 5 Fedora Update System 2017-09-18 18:38:30 EDT
cloud-init-0.7.9-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1613e2c23
Comment 6 Fedora Update System 2017-09-19 19:28:53 EDT
cloud-init-0.7.9-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1613e2c23
Comment 7 Fedora Update System 2017-09-19 20:23:17 EDT
cloud-init-0.7.9-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-62a8a2b453
Comment 8 Fedora Update System 2017-09-19 21:21:42 EDT
cloud-init-0.7.9-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5507234819
Comment 9 Fedora Update System 2017-09-25 14:05:55 EDT
cloud-init-0.7.9-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.